### Method

# Camel NameValueArray get_value

since: 3.24

#### Declaration [src]

    const gchar*
    camel_name_value_array_get_value (
      const CamelNameValueArray* array,
      guint index
    )

#### Description [src]

Returns the value of the element at index `index`.

Available since: 3.24

#### Parameters

`index`

  Type: `guint`

  An index.

#### Return value

Type: `const gchar*`

Value of the element at the given `index`, or `NULL` on error.

See: camel_name_value_array_get, camel_name_value_array_get_name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.